﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ConditionalColoringSL
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<DataPoint> Points { get; set; }

        public MainPage()
        {
            InitializeComponent();
            this.Loaded += MainPage_Loaded;
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            Points = new ObservableCollection<DataPoint>();
            Points.Add(new DataPoint { Minimum = 10, Maximum = 20, Result = 15, Date = new DateTime(2014, 11, 2) });
            Points.Add(new DataPoint { Minimum = 5, Maximum = 10, Result = 2, Date = new DateTime(2014, 12, 5) });
            Points.Add(new DataPoint { Minimum = 5, Maximum = 10, Result = 11, Date = new DateTime(2014, 1, 26) });

            this.DataContext = this;
        }
    }

    public class DataPoint
    {
        public double Minimum { get; set; }
        public double Maximum { get; set; }
        public double Result { get; set; }

        public DateTime Date { get; set; }
    }
}
